ACHECK.FR.1(1)

NOM
acheck - Correction des erreurs courantes de traduction

SYNOPSIS
acheck [OPTIONS] [FICHIER_D'ENTREE]

DESCRIPTION
Ce programme analyse un fichier en verifiant des regles de syntaxe et eventuellement en demandant a Aspell de verifier l'orthographe des mots. Il suggere des corrections et genere un fichier corrige en fonction, ajoutant des commentaires de relecture si vous le desirez.

Il essaye de trouver le type de fichier en fonction de son extension ou de ses premieres lignes et charge les regles correspondantes.

Il affiche les lignes au fur et a mesure de l'analyse.

Quand une erreur est trouvee, un menu est affiche. Pressez simplement Entree si vous ne voulez rien modifier. Si un choix vous convient, entrez la lettre correspondante. Si vous voulez corriger mais qu'aucun choix n'est correct, entrez un espace, il vous demandera alors un texte pour remplacer celui qui est surligne. Il remplacera le texte surligne par votre choix et reprendra l'analyse.

Voici toutes les commandes disponibles :

Enter, ignorer.
    Ignore l'erreur.

Ctrl+L, rafficher.
    Raffiche la derniere ligne, les suggestions et commentaires.

Espace, editer.
    Edite le texte surligne.

E, editer la ligne.
    Edite la ligne entiere.

H, ajouter le commentaire.
    Ajouter le commentaire affiche en tant que commentaire de relecture. Ceci peut etre utilise si vous voulez que le traducteur voit l'avertissement ou l'erreur mais que vous n'avez pas de correction a apporter.

N, ligne suivante.
    Continuer a la ligne suivante en sautant le reste de la ligne courante.

X, quitter sans changement.
    Quitter sans sauvegarder les modifications, le script vous demande alors confirmation, vous devez tapez X yes X (oui) pour sortir sinon l'analyse reprend sur l'erreur actuelle.

a, ajouter au dictionnaire.
    Ajoute le mot surligne a votre dictionnaire personnel, avec les majuscules telles qu'elles sont.

l, ajouter en minuscules au dictionnaire.
    Ajoute le mot surligne a votre dictionnaire personnel, en minuscules.

i, ignorer le mot.
    Ignore le mot surligne, comme Entree.

I, ignorer toujours.
    Ignore le mot surligne et l'ajoute a votre dictionnaire de session.

OPTIONS
Niveau de bavardage :

-q, --quiet
    silencieux ;

-v  verbeux, commence au niveau $Debug + 1, plus il y en a, plus il est bavard (voir plus bas) ;

--verbose n
    utiliser le niveau n (voir plus bas).

Fichiers :

-i, --input
    nom du fichier d'entree, utiliser X - X pour lire depuis l'entree standard ;

-o, --output
    nom du fichier de sortie, utiliser X - X pour ecrire sur la sortie standard. Si aucun nom de fichier de sortie n'est fourni, le fichier d'entree est sauvegarde avec l'extension X bak_ext X et son nom est utilise.

Verification de l'orthographe :

-s, --spell
    verifier l'orthographe avec Aspell ;

-d langue, --dict langue
    utiliser Aspell avec le dictionnaire langue ;

-n, --nospell
    ne pas verifier l'orthographe.

Mode :

-r, --review
    mode relecture, ajoute des commentaires sur des lignes commencant par $Comment apres les lignes analysees ;

-t, --trans
    mode traduction, ne pas ajouter de commentaire, ne faire que les corrections.

Autre :

--rules jeu_de_regles
    utiliser jeu_de_regles comme jeu de regles ;

--type type_de_fichier
    utiliser type_de_fichier quelque soit le type de fichier ;

--dump
    affiche le jeu de regles, pour le debogage ;

-V, --version
    afficher le numero de version.

-h, --help
    afficher un court message d'utilisation ;

  Niveaux de bavardage

0 silencieux, normal
    seulement les avertissements et les erreurs ;

1 debogage
    noms des procedures ;

2 debogage bavard
    noms et arguments des procedures ;

3 .. 5 debogage tres bavard
    details des analyses et des verifications.

VOIR AUSSI
acheck(5), acheck-rules(5)

AUTEUR
Nicolas Bertolissio <bertol@debian.org>